Subject: [bug#36258] [PATCH 1/2] gnu: monero: Update to 0.14.1.0.

From: swedebugia <[email-masked]>
Date: Mon, 24 Jun 2019 08:20:24 +0200

On 2019-06-23 15:18, swedebugia wrote:
> On 2019-06-23 14:53, Guillaume LE VAILLANT wrote:
>>
>> swedebugia a écrit :
> ...
> 
>>> Could not find executable
>>> /tmp/guix-build-monero-0.14.1.0.drv-0/build/tests/hash-target-tests
>>
>> That's strange, if the compilation phase finished, the
>> 'build/tests/hash-target-tests' file should exist.
>> Do the 'build/tests/core_tests/core_tests' and
>> 'build/tests/unit_tests/unit_tests' programs exist, or is your
>> 'build/tests' directory empty?
> 
> It did exist but the drv-paths in the makefiles was wrong.
> 
>>
>> Also, 'core_tests' takes a long time to complete (around 40 minutes on
>> my machine I think), and it doesn't print any message while it's
>> running (but there should be 1 CPU core in use).
>>
> 
> Got them running now. Will report back when they are done :)
> 

Tests completed succesfully. I saw this note:

+                       ;; TODO: Find why portability_wallet test fails
+                       ;; Maybe the Boost version used to create the test
+                       ;; wallet and the current Boost version are not
+                       ;; completely compatible?
+                       "Serialization.portability_wallet"
+                       "is_hdd.linux_os_root")

Did you report this upstream?
Could you include the failed test also (commented below the comment)

Otherwise LGTM :)

PS: I started working on Aeon (fork of monero) since they are very 
similar it should be "easy" to package now that you got monero working 
again.

-- 
Cheers Swedebugia